RiskVision System Requirements

The following hardware requirements represent the minimum system requirements to install Resolver RiskVision™ V. 9.6. These specifications are for planning purposes only. To learn about the recommended hardware and software for your environment, contact Resolver Support.  

Hardware

Minimum

Total number of CPU cores

8

Memory

16 GB

Disk Space

At least 100 GB of free disk space 

Resolver recommends increasing the RAM of the National Vulnerability Database Connector by at least 500 MB to accomodate the CPE Match Feed from RiskVision version 9.3 and higher.

Supported Third-Party Software

Product

Version

Operating System

Microsoft Windows Server® 2012 R2 Standard x64, Windows Server® 2016 

Amazon Coretto (JDK)

1.8.0_275

Apache Tomcat

8.5.61

Apache Web Server

2.4.46

Apache OpenOffice

4.1.7

Jasper Reports Server

7.2

MySQL

5.7.32

Oracle

12.2.0.1

Web Browser 

Microsoft Internet Explorer® 11, Microsoft Edge, Mozilla Firefox®, Google Chrome®

Adobe® Flash browser plug-in

Adobe® Flash Player, version 11 (optional)

Microsoft Visual C++

2013 x64 Redistributable - 12.0.30501, 2008 x64 Redistributable - 9.0.30729.6161 (Optional- to run Apache open office), C++ 2008 x86 Redistributable - 9.0.30729.6161, 2010 x86 Redistributable - 10.0.40219

Open SSL

1.0.2r

Users who wish to use Tomcat version 8.5.35 or above must update their RiskVision software to version 9.3 or higher.

JasperReports Server 7.2 comes with the following technologies:

Product

Version

PostgreSQL

10.5

Apache Tomcat

8.5.34

Oracle JDK 8 

1.8.0_201